<?php


require_once "../../../controlador/socios.controlador.php";

require_once "../../../controlador/plantilla.controlador.php";
require_once "../../../controlador/usuarios.controlador.php";
require_once "../../../controlador/socios.controlador.php";
require_once "../../../controlador/proyectos.controlador.php";
require_once "../../../controlador/categorias.controlador.php";
require_once "../../../controlador/importar.controlador.php";
require_once "../../../controlador/marcas.controlador.php";
require_once "../../../controlador/horario.controlador.php";
require_once "../../../controlador/postulantes.controlador.php";
require_once "../../../controlador/cargos.controlador.php";
require_once "../../../controlador/convocatorias.controlador.php";
require_once "../../../controlador/regimen.controlador.php";
require_once "../../../controlador/profesiones.controlador.php";
require_once "../../../controlador/nivelprofesional.controlador.php";
require_once "../../../controlador/rubros.controlador.php";
require_once "../../../controlador/lugares.controlador.php";
require_once "../../../controlador/tsueldo.controlador.php";
require_once "../../../controlador/tdocumento.controlador.php";
require_once "../../../controlador/experiencia.controlador.php";
require_once "../../../controlador/estudios.controlador.php";
require_once "../../../controlador/contratos.controlador.php";
require_once "../../../controlador/papeletas.controlador.php";
require_once "../../../controlador/periodos.controlador.php";
require_once "../../../controlador/tareo.controlador.php";
require_once "../../../controlador/partidas.controlador.php";
require_once "../../../controlador/rotacion.controlador.php";
require_once "../../../controlador/reporte.controlador.php";
require_once "../../../controlador/fabricaciones.controlador.php";






require_once "../../../modelos/usuarios.modelo.php";
require_once "../../../modelos/socios.modelo.php";
require_once "../../../modelos/proyectos.modelo.php";
require_once "../../../modelos/categorias.modelo.php";
require_once "../../../modelos/importar.modelo.php";
require_once "../../../modelos/marcas.modelo.php";
require_once "../../../modelos/horario.modelo.php";
require_once "../../../modelos/postulantes.modelo.php";
require_once "../../../modelos/cargos.modelo.php";
require_once "../../../modelos/convocatorias.modelo.php";
require_once "../../../modelos/regimen.modelo.php";
require_once "../../../modelos/profesiones.modelo.php";
require_once "../../../modelos/nivelprofesional.modelo.php";
require_once "../../../modelos/tdocumento.modelo.php";
require_once "../../../modelos/rubros.modelo.php";
require_once "../../../modelos/lugares.modelo.php";
require_once "../../../modelos/tsueldo.modelo.php";
require_once "../../../modelos/experiencia.modelo.php";
require_once "../../../modelos/estudios.modelo.php";
require_once "../../../modelos/contratos.modelo.php";
require_once "../../../modelos/papeletas.modelo.php";
require_once "../../../modelos/periodos.modelo.php";
require_once "../../../modelos/tareo.modelo.php";
require_once "../../../modelos/partidas.modelo.php";
require_once "../../../modelos/rotacion.modelo.php";
require_once "../../../modelos/reporte.modelo.php";
require_once "../../../modelos/fabricaciones.modelo.php";

class imprimir{

public $codigo;

public function traerImpresion(){

//TRAEMOS LA INFORMACIÓN DE LA CONVOCATORIA

$valorTareo = $this->codigo;
$cabeceraTareo = ControladorTareos::ctrImprimir($valorTareo);

$Proyecto=$cabeceraTareo["CodProyecto"];
$Periodo=$cabeceraTareo["Periodo"];
$Regimen=$cabeceraTareo["CodRegimen"];
$Semana=$cabeceraTareo["Semana"];
$fechaPublicacion=date('Y-m-d');

//TRAEMOS LA INFORMACIÓN DE LA PROYECTO
$Proyectos = ControladorProyectos::ctrMostrarProyectos("CodProyecto", $Proyecto);

//TRAEMOS LA INFORMACIÓN DEL REGIMEN
$Regimenes = ControladorRegimen::ctrMostrar("CodRegimen", $Regimen);


//REQUERIMOS LA CLASE TCPDF

require_once('tcpdf_include.php');

$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

$pdf->startPageGroup();

$pdf->AddPage('L','A4');

// ---------------------------------------------------------

$bloque1 = <<<EOF

<table border="1" align="center" cellpadding="1" cellspacing="0" >	
<tbody>
<tr>
<td  rowspan="4" align="center" valign="middle" ><p></p>
<p><img src="images/logo-negro-bloque.png" width="130px" height="40px" padding="10px"></p><p></p>
</td>
<td  align="center" style="font-weight: bold" >TAREO DE PERSONAL</td>
<td  style="font-family: 'Lucida Grande', 'Lucida Sans Unicode', 'Lucida Sans', 'DejaVu Sans', Verdana, sans-serif" >
<p>Semana: $Semana</p>
</td>
</tr>
<tr>
<td rowspan="3" align="center" valign="middle" style="font-weight: bold" >$Proyectos[NameProyecto]</td>
<td style="font-family: 'Lucida Grande', 'Lucida Sans Unicode', 'Lucida Sans', 'DejaVu Sans', Verdana, sans-serif" >
<p>Fecha : $fechaPublicacion</p>
</td>
</tr>
<tr>
<td style="font-family: 'Lucida Grande', 'Lucida Sans Unicode', 'Lucida Sans', 'DejaVu Sans', Verdana, sans-serif" >
<p>Versi&oacute;n&nbsp; : 0</p>
</td>
</tr>
<tr>
<td style="font-family: 'Lucida Grande', 'Lucida Sans Unicode', 'Lucida Sans', 'DejaVu Sans', Verdana, sans-serif" >
<p>$Regimenes[NameRegimen]</p>
</td>
</tr>
</tbody>
</table>

EOF;

$pdf->writeHTML($bloque1, false, false, false, false, '');

// ---------------------------------------------------------

$bloqueSeparacion = <<<EOF
<table >
<tbody>
<tr>
<td></td>
</tr>
</tbody>
</table>	
EOF;

$pdf->writeHTML($bloqueSeparacion, false, false, false, false, '');



$bloque2 = <<<EOF
<table border="1">
 <thead>
 <tr style="font-weight:bold;font-size:10px">
           <th style="width:4%" align="center">#</th>
           <th style="width:8%" align="center">DNI</th>
           <th style="width:32%" align="center">Nombres y Apellidos</th>
           <th style="width:7%" align="center">Lunes</th>
           <th style="width:7%" align="center">Martes</th>
           <th style="width:7%" align="center">Miercoles</th>
           <th style="width:7%" align="center">Jueves</th>
           <th style="width:7%" align="center">Viernes</th>
           <th style="width:7%" align="center">Sabado</th>
           <th style="width:7%" align="center">Domingo</th>
           <th style="width:7%" align="center">Total</th>
  </tr> 
  </thead>
</table>

EOF;
$pdf->writeHTML($bloque2, false, false, false, false, '');


//TRAEMOS LA INFORMACIÓN DETALLE TAREO

$tipo="RT";
$TareoDetalle = ControladorTareos::ctrMostrar($Proyecto,$Regimen, $Semana,$Periodo,$tipo);
$i=0;
foreach ($TareoDetalle as $key => $itemDetalle) {

  $thh=$itemDetalle["LTT"]+$itemDetalle["MTT"]+$itemDetalle["MMTT"]+$itemDetalle["JTT"]+$itemDetalle["VTT"]+$itemDetalle["STT"]+$itemDetalle["DTT"];
  $i=$i+1;

        /*=============================================
           COMPLEMENTOS DE  HORAS
          =============================================*/ 

          $tabla="tba_papeletas";
          $socio=$itemDetalle["CodSocio"];
          $proyecto=$Proyecto;
          $Anual=$Periodo;

          //DIA LUNES
          if($itemDetalle["LTT"]==0 && $itemDetalle["LTT"]==null)
          {
            $bajada=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"regimenBajada",1,$socio);
            $medico=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"descansoMedico",1,$socio);
            $licpat=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"licenciaPaternidad",1,$socio);
            $licMat=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"licenciaMaternidad",1,$socio);
            $vacaciones=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"vacaciones",1,$socio);
            if($vacaciones!=null) {$valorLunes="Vacaciones";}
            if($bajada!=null) {$valorLunes="BAJADA";}
            if($medico!=null) {$valorLunes="DM";}
            if($licpat!=null) {$valorLunes="LICPAT";}
            if($licMat!=null) {$valorLunes="LICMAT";}
            if($bajada==null && $medico==null && $licpat==null && $licMat==null && $vacaciones==null){$valorLunes="Falta";}
          } else {$valorLunes=$itemDetalle["LTT"];}
          // DIA MARTES
          if($itemDetalle["MTT"]==0 && $itemDetalle["MTT"]==null)
          {
            $bajada=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"regimenBajada",2,$socio);
            $medico=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"descansoMedico",2,$socio);
            $licpat=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"licenciaPaternidad",2,$socio);
            $licMat=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"licenciaMaternidad",2,$socio);
            $vacaciones=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"vacaciones",2,$socio);
            if($vacaciones!=null) {$valorMartes="Vacaciones";}
            if($bajada!=null) {$valorMartes="BAJADA";}
            if($medico!=null) {$valorMartes="DM";}
            if($licpat!=null) {$valorMartes="LICPAT";}
            if($licMat!=null) {$valorMartes="LICMAT";}
            if($bajada==null && $medico==null && $licpat==null && $licMat==null && $vacaciones==null){$valorMartes="Falta";}
          } else {$valorMartes=$itemDetalle["MTT"];}
          // DIA MIERCOLES
          if($itemDetalle["MMTT"]==0 && $itemDetalle["MMTT"]==null)
          {
            $bajada=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"regimenBajada",3,$socio);
            $medico=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"descansoMedico",3,$socio);
            $licpat=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"licenciaPaternidad",3,$socio);
            $licMat=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"licenciaMaternidad",3,$socio);
            $vacaciones=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"vacaciones",3,$socio);
            if($vacaciones!=null) {$valorMiercoles="Vacaciones";}
            if($bajada!=null) {$valorMiercoles="BAJADA";}
            if($medico!=null) {$valorMiercoles="DM";}
            if($licpat!=null) {$valorMiercoles="LICPAT";}
            if($licMat!=null) {$valorMiercoles="LICMAT";}
            if($bajada==null && $medico==null && $licpat==null && $licMat==null && $vacaciones==null){$valorMiercoles="Falta";}
          } else {$valorMiercoles=$itemDetalle["MMTT"];}

          // DIA JUEVES
          if($itemDetalle["JTT"]==0 && $itemDetalle["JTT"]==null)
          {
            $bajada=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"regimenBajada",4,$socio);
            $medico=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"descansoMedico",4,$socio);
            $licpat=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"licenciaPaternidad",4,$socio);
            $licMat=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"licenciaMaternidad",4,$socio);
            $vacaciones=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"vacaciones",4,$socio);
            if($vacaciones!=null) {$valorJueves="Vacaciones";}
            if($bajada!=null) {$valorJueves="BAJADA";}
            if($medico!=null) {$valorJueves="DM";}
            if($licpat!=null) {$valorJueves="LICPAT";}
            if($licMat!=null) {$valorJueves="LICMAT";}
            if($bajada==null && $medico==null && $licpat==null && $licMat==null && $vacaciones==null){$valorJueves="Falta";}
          } else {$valorJueves=$itemDetalle["JTT"];}

          // DIA VIERNES
          if($itemDetalle["VTT"]==0 && $itemDetalle["VTT"]==null)
          {
            $bajada=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"regimenBajada",5,$socio);
            $medico=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"descansoMedico",5,$socio);
            $licpat=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"licenciaPaternidad",5,$socio);
            $licMat=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"licenciaMaternidad",5,$socio);
            $vacaciones=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"vacaciones",5,$socio);
            if($vacaciones!=null) {$valorViernes="Vacaciones";}
            if($bajada!=null) {$valorViernes="BAJADA";}
            if($medico!=null) {$valorViernes="DM";}
            if($licpat!=null) {$valorViernes="LICPAT";}
            if($licMat!=null) {$valorViernes="LICMAT";}
            if($bajada==null && $medico==null && $licpat==null && $licMat==null && $vacaciones==null){$valorViernes="Falta";}
          } else {$valorViernes=$itemDetalle["VTT"];}

          // DIA SABADO
          if($itemDetalle["STT"]==0 && $itemDetalle["STT"]==null)
          {
            $bajada=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"regimenBajada",6,$socio);
            $medico=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"descansoMedico",6,$socio);
            $licpat=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"licenciaPaternidad",6,$socio);
            $licMat=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"licenciaMaternidad",6,$socio);
            $vacaciones=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"vacaciones",6,$socio);
            if($vacaciones!=null) {$valorSabado="Vacaciones";}
            if($bajada!=null) {$valorSabado="BAJADA";}
            if($medico!=null) {$valorSabado="DM";}
            if($licpat!=null) {$valorSabado="LICPAT";}
            if($licMat!=null) {$valorSabado="LICMAT";}
            if($bajada==null && $medico==null && $licpat==null && $licMat==null && $vacaciones==null){$valorSabado="Falta";}
          } else {$valorSabado=$itemDetalle["STT"];}

          // DIA MARTES
          if($itemDetalle["DTT"]==0  && $itemDetalle["DTT"]==null)
          {
            $bajada=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"regimenBajada",7,$socio);
            $medico=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"descansoMedico",7,$socio);
            $licpat=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"licenciaPaternidad",7,$socio);
            $licMat=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"licenciaMaternidad",7,$socio);
            $vacaciones=ModeloPapeletas::mdlBuscarExtraordinario($tabla,$proyecto,$Regimen,$Semana,$Anual,"vacaciones",7,$socio);
            if($vacaciones!=null) {$valorDomingo="Vacaciones";}
            if($bajada!=null) {$valorDomingo="BAJADA";}
            if($medico!=null) {$valorDomingo="DM";}
            if($licpat!=null) {$valorDomingo="LICPAT";}
            if($licMat!=null) {$valorDomingo="LICMAT";}
            if($bajada==null && $medico==null && $licpat==null && $licMat==null && $vacaciones==null){$valorDomingo="Descanso";}
          } else {$valorDomingo=$itemDetalle["DTT"];}

        


$bloque3 = <<<EOF
<table border="1">
<tbody>
<tr style="font-size:9px">
<td style="width:4%" align="center" >$i</td>
           <td style="width:8%" align="center">$itemDetalle[CodInterno]</td>
           <td style="width:32%">$itemDetalle[NamePersonal]</td>
           <td style="width:7%" align="center">$valorLunes</td>
           <td style="width:7%" align="center">$valorMartes</td>
           <td style="width:7%" align="center">$valorMiercoles</td>
           <td style="width:7%" align="center">$valorJueves</td>
           <td style="width:7%" align="center">$valorViernes</td>
           <td style="width:7%" align="center">$valorSabado</td>
           <td style="width:7%" align="center">$valorDomingo</td>
           <td style="width:7%" align="center">$thh</td>
</tr>
</tbody>
</table>
EOF;
$pdf->writeHTML($bloque3, false, false, false, false, '');

}


// ---------------------------------------------------------
//SALIDA DEL ARCHIVO 

$pdf->Output('factura.pdf');

}

}

$imprimir = new imprimir();
$imprimir -> codigo = $_GET["idTareo"];
$imprimir -> traerImpresion();

?>